# MapLaunchOptions

Namespace: **Wisej.Hybrid.Shared.Map**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Launch options for opening the installed map application.

{% tabs %}
{% tab title="C#" %}

```csharp
public class MapLaunchOptions
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class MapLaunchOptions
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)MapLaunchOptions()

Initializes a new instance of [MapLaunchOptions](/hybrid/start/api/location/wisej.hybrid.shared.map.maplaunchoptions.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Name

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the name of destination to display to user.

### ![](/files/CCV9PPenlC1YZvNh1I6R)NavigationMode

[NavigationMode](/hybrid/start/api/location/wisej.hybrid.shared.map.navigationmode.md): Gets or sets the navigation mode to use in the map application.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.map.maplaunchoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
